Last Comment Bug 529741 - Port |Bug 407875 - Unprivileged users are not notified of security updates| to SeaMonkey, re-enable 'Check for Updates'
: Port |Bug 407875 - Unprivileged users are not notified of security updates| t...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.6
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: seamonkey2.1a1
Assigned To: Frank Wein [:mcsmurf]
:
Mentors:
: 536057 (view as bug list)
Depends on: 407875
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 22:22 PST by Robert Strong [:rstrong] (use needinfo to contact me)
Modified: 2010-05-30 14:21 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.35 KB, patch)
2009-12-09 09:01 PST, Frank Wein [:mcsmurf]
no flags Details | Diff | Splinter Review
Better Patch [Checkin: Comment 11] (1.18 KB, patch)
2009-12-09 09:29 PST, Frank Wein [:mcsmurf]
neil: review+
neil: superreview+
Details | Diff | Splinter Review
branch patch [Checkin: comment 16] (1.42 KB, patch)
2010-05-30 06:10 PDT, Jens Hatlak (:InvisibleSmiley)
neil: review+
neil: superreview+
kairo: approval‑seamonkey2.0.6+
Details | Diff | Splinter Review

Description Robert Strong [:rstrong] (use needinfo to contact me) 2009-11-18 22:22:02 PST
I'm hoping to land bug 407875 on the 1.9.2 branch. The patches in bug 407875 should be enough to go on and don't hesitate to ping me on irc if there are any questions
Comment 1 Robert Strong [:rstrong] (use needinfo to contact me) 2009-11-19 16:48:51 PST
Note: Bug 529942 will move (hopefully soon) the two new attributes from nsIApplicationUpdateService2 to nsIApplicationUpdateService on trunk
Comment 2 neil@parkwaycc.co.uk 2009-12-09 01:38:45 PST
(In reply to comment #1)
> Note: Bug 529942 will move (hopefully soon) the two new attributes from
> nsIApplicationUpdateService2 to nsIApplicationUpdateService on trunk
Ah, the sweet smell of #ifdef ;-)
Comment 3 Frank Wein [:mcsmurf] 2009-12-09 09:01:11 PST
Created attachment 416757 [details] [diff] [review]
Patch

From what I see this is everything that needs to be ported.
Comment 4 Frank Wein [:mcsmurf] 2009-12-09 09:29:29 PST
Created attachment 416764 [details] [diff] [review]
Better Patch
[Checkin: Comment 11]
Comment 5 neil@parkwaycc.co.uk 2009-12-20 13:09:22 PST
*** Bug 536057 has been marked as a duplicate of this bug. ***
Comment 6 neil@parkwaycc.co.uk 2009-12-21 14:39:25 PST
How are you expecting me to review this? I don't use nightlies.
Comment 7 Serge Gautherie (:sgautherie) 2009-12-21 16:43:48 PST
(In reply to comment #6)
> How are you expecting me to review this? I don't use nightlies.

This bug had checkin-needed. But it looked like this patch needed a review first.
Doesn't it? Or who could review it?
Comment 8 Serge Gautherie (:sgautherie) 2009-12-21 17:50:35 PST
Comment on attachment 416764 [details] [diff] [review]
Better Patch
[Checkin: Comment 11]


[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.3a1pre) Gecko/20091219 SeaMonkey/2.1a1pre] (2009-12-19-00-comm-central-trunk) (W2Ksp4)

This patch fixes it for me.
Comment 9 Frank Wein [:mcsmurf] 2009-12-22 00:33:20 PST
The patch already had sr+ ...?
Comment 10 neil@parkwaycc.co.uk 2010-01-04 06:53:13 PST
Comment on attachment 416764 [details] [diff] [review]
Better Patch
[Checkin: Comment 11]

r=me based on your test.
Comment 11 Serge Gautherie (:sgautherie) 2010-01-04 09:05:15 PST
Comment on attachment 416764 [details] [diff] [review]
Better Patch
[Checkin: Comment 11]


http://hg.mozilla.org/comm-central/rev/d87bb12163c6
Comment 12 Robert Kaiser 2010-05-04 05:23:19 PDT
Serge, what here is supposed to block 2.0.5? I don't see any comment here that implies why it should block, that it affects 1.9.1 at all, or what the risk is to ship a 2.0.x release with this.

Until that is cleared up, canceling the request, please re-nominate with those questions answered if there is an actual good reason.
Comment 13 Jens Hatlak (:InvisibleSmiley) 2010-05-30 06:10:09 PDT
Created attachment 448268 [details] [diff] [review]
branch patch [Checkin: comment 16]

(In reply to comment #12)
> I don't see any comment here that implies (...) that it affects 1.9.1 at all

1. the parent bug landed on 1.9.1 as well:
<http://hg.mozilla.org/releases/mozilla-1.9.1/rev/b9e025a5f582>
which implies two things:
 1.1. branch is/was (SM/FF) affected as well
 1.2. the Toolkit dependencies are already met on branch. I cannot really estimate the importance of the firefox-branding.js change, though.

2. with both SM 2.0(.0) release and the latest 2.0 nightly, Help>Check for Updates is grayed out if the application directory is not writable for the user who runs SeaMonkey (just checked in my Linux VM). If it is writable, or with the patch, the label is shown as normal and clickable. With the patch, if the user clicks the label, an update check is made. If an update is found but the user doesn't have write permissions to the application directory, a message is shown that explains just that.

> or what the risk is to ship a 2.0.x release with this.

I cannot answer that, only that it's probably fixed for FF but not for us.
Comment 14 neil@parkwaycc.co.uk 2010-05-30 12:36:36 PDT
Comment on attachment 448268 [details] [diff] [review]
branch patch [Checkin: comment 16]

r=me based on code inspection; it would help if someone else could test this.
Comment 15 Frank Wein [:mcsmurf] 2010-05-30 14:10:57 PDT
(In reply to comment #14)
> (From update of attachment 448268 [details] [diff] [review])
> r=me based on code inspection; it would help if someone else could test this.

Patch works fine, I tested it with a branch nightly build.
Comment 16 Jens Hatlak (:InvisibleSmiley) 2010-05-30 14:20:46 PDT
Comment on attachment 448268 [details] [diff] [review]
branch patch [Checkin: comment 16]

http://hg.mozilla.org/releases/comm-1.9.1/rev/76ee166a7d08

Note You need to log in before you can comment on or make changes to this bug.